/*
 * Created on January 27, 2004
 *
 * ExecutionContext.java is used to test JCA 1.5 as implemented by 
 * JOnAS. This class implements the ExecutionContext Interface
 *  
 */
package ersatz.resourceadapter;

import javax.transaction.xa.Xid;
import javax.resource.NotSupportedException;

/**
 * @author Bob Kruse
 *
 * JCA1.5 ExecutionContext class
 *
 * used to test the J2EE Connector as implemented by JOnAS.
 * 
 */
public class ExecutionContext 
{
    private Xid xid;
    private long seconds;
    String cName = "ExecutionContext";

    public void setXid(Xid xid) 
    { 
        this.xid=xid;
        Utility.log(cName+".setXid of="+xid);
    }
    public Xid getXid() 
    { 
        return xid;
    }
    public long getTransactionTimeout() 
    {
        return seconds;
    }
    public void setTransactionTimeout(long seconds)
            throws NotSupportedException 
    {
        Utility.log(cName+".setTransactionTimeout seconds="+seconds);
        this.seconds=seconds;
    }
}